using System.ComponentModel.DataAnnotations;

namespace CD67.FicheCollege.Entity
{
    /// <summary>
    /// Classe d'extension de celle d'Entity, nécessaire pour y associer les Metadata
    /// </summary>
    [MetadataType(typeof(ActionEduCollege_Metadata))]
    public partial class ActionEduCollege
    {
    }

    /// <summary>
    /// Classe contenant les DataAnnotations pour chaque champ
    /// </summary>
    public class ActionEduCollege_Metadata
    {
        [Required]
        public int Id { get; set; }

        [Required]
        [Display(Name = "Action éducative")]
        public int ActionEduId { get; set; }

        [Required]
        [Display(Name = "Collège")]
        public int CollegeId { get; set; }

        [Display(Name = "Nombre d'élèves")]
        public int NbEleves { get; set; }

        [DataType(DataType.MultilineText)]
        [Display(Name = "Commentaire")]
        public int Commentaire { get; set; }

    }
}